Package de.tudresden.sumo.subscription

## Enum SumoDomain

- java.lang.Object
- - java.lang.Enum<SumoDomain>
  - - de.tudresden.sumo.subscription.SumoDomain

- All Implemented Interfaces:
    `Serializable`, `Comparable<SumoDomain>`

      public enum SumoDomain
      extends Enum<SumoDomain>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `edges` |
    `inductive_loops` |
    `junction` |
    `lanes` |
    `persons` |
    `poi` |
    `polygons` |
    `vehicles` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getID()` |
    `static SumoDomain` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SumoDomain[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### inductive_loops

          public static final SumoDomain inductive_loops

    - #### lanes

          public static final SumoDomain lanes

    - #### vehicles

          public static final SumoDomain vehicles

    - #### persons

          public static final SumoDomain persons

    - #### poi

          public static final SumoDomain poi

    - #### polygons

          public static final SumoDomain polygons

    - #### junction

          public static final SumoDomain junction

    - #### edges

          public static final SumoDomain edges

  - ### Method Detail

    - #### values

          public static SumoDomain[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SumoDomain c : SumoDomain.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SumoDomain valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getID

          public int getID()